xine-lib: vos_t Struct Reference

xine-lib 1.2.12

Data Fields
vos_t Struct Reference

## Data Fields
xine_video_port_t | vo
vo_driver_t * | driver
pthread_mutex_t | driver_lock
xine_private_t * | xine
metronom_clock_t * | clock
int | num_null_streams
int | num_anon_streams
int | num_streams
int | streams_size
xine_stream_private_t ** | streams
xine_stream_private_t * | streams_default [32]
pthread_mutex_t | streams_lock
struct {
pthread_mutex_t mutex
pthread_cond_t not_empty
vo_frame_t * first
vo_frame_t ** add
int num_buffers
int num_buffers_max
int locked_for_read
} | free_queue
struct {
pthread_mutex_t mutex
pthread_cond_t not_empty
pthread_cond_t done_flushing
vo_frame_t * first
vo_frame_t ** add
int num_buffers
int locked_for_read
int discard_frames
int flushed
int flush_extra
int num_flush_waiters
vo_frame_t ** frames
xine_stream_private_t ** img_streams
} | display_queue
struct {
vo_frame_t * ready_first
vo_frame_t ** ready_add
int ready_num
int poll_time
int poll_limit
int poll_num
int wakeups_total
int wakeups_early
int need_flush_signal
vo_frame_t * last_flushed
struct timespec now
int speed
} | rp
struct {
pthread_mutex_t lock
pthread_cond_t wake
vos_grab_video_frame_t * request
vo_frame_t * last_frame
} | grab
uint32_t | video_loop_running:1
uint32_t | video_opened:1
uint32_t | overlay_enabled:1
uint32_t | warn_threshold_event_sent:1
uint32_t | grab_only:1
uint32_t | redraw_needed:3
pthread_t | video_thread
int | num_frames_delivered
int | num_frames_skipped
int | num_frames_discarded
int | num_frames_burst
int | warn_skipped_threshold
int | warn_discarded_threshold
int | warn_threshold_exceeded
int | disable_decoder_flush_from_video_out
int64_t | last_delivery_pts
video_overlay_manager_t * | overlay_source
extra_info_t * | extra_info_base
int | current_width
int | current_height
int64_t | current_duration
int | frame_drop_limit_max
int | frame_drop_limit
int | frame_drop_cpt
int | frame_drop_suggested
int | crop_left
int | crop_right
int | crop_top
int | crop_bottom
struct {
pthread_mutex_t mutex
pthread_cond_t wake
pthread_cond_t done_stepping
int draw
int speed
int step
} | trigger_drawing
int | frames_total
int | frames_extref
int | frames_peak_used

## Field Documentation

## ◆ add

vo_frame_t** vos_t::add

## ◆ clock

metronom_clock_t* vos_t::clock

## ◆ crop_bottom

int vos_t::crop_bottom

## ◆ crop_left

int vos_t::crop_left

## ◆ crop_right

int vos_t::crop_right

## ◆ crop_top

int vos_t::crop_top

## ◆ current_duration

int64_t vos_t::current_duration

## ◆ current_height

int vos_t::current_height

## ◆ current_width

int vos_t::current_width

## ◆ disable_decoder_flush_from_video_out

int vos_t::disable_decoder_flush_from_video_out

## ◆ discard_frames

int vos_t::discard_frames

## ◆

struct { ... } vos_t::display_queue

## ◆ done_flushing

pthread_cond_t vos_t::done_flushing

## ◆ done_stepping

pthread_cond_t vos_t::done_stepping

## ◆ draw

int vos_t::draw

## ◆ driver

vo_driver_t* vos_t::driver

## ◆ driver_lock

pthread_mutex_t vos_t::driver_lock

## ◆ extra_info_base

extra_info_t* vos_t::extra_info_base

## ◆ first

vo_frame_t* vos_t::first

## ◆ flush_extra

int vos_t::flush_extra

## ◆ flushed

int vos_t::flushed

## ◆ frame_drop_cpt

int vos_t::frame_drop_cpt

## ◆ frame_drop_limit

int vos_t::frame_drop_limit

## ◆ frame_drop_limit_max

int vos_t::frame_drop_limit_max

## ◆ frame_drop_suggested

int vos_t::frame_drop_suggested

## ◆ frames

vo_frame_t** vos_t::frames

## ◆ frames_extref

int vos_t::frames_extref

## ◆ frames_peak_used

int vos_t::frames_peak_used

## ◆ frames_total

int vos_t::frames_total

## ◆

struct { ... } vos_t::free_queue

## ◆

struct { ... } vos_t::grab

## ◆ grab_only

uint32_t vos_t::grab_only

## ◆ img_streams

xine_stream_private_t** vos_t::img_streams

## ◆ last_delivery_pts

int64_t vos_t::last_delivery_pts

## ◆ last_flushed

vo_frame_t* vos_t::last_flushed

## ◆ last_frame

vo_frame_t* vos_t::last_frame

## ◆ lock

pthread_mutex_t vos_t::lock

## ◆ locked_for_read

int vos_t::locked_for_read

## ◆ mutex

pthread_mutex_t vos_t::mutex

## ◆ need_flush_signal

int vos_t::need_flush_signal

## ◆ not_empty

pthread_cond_t vos_t::not_empty

## ◆ now

struct timespec vos_t::now

## ◆ num_anon_streams

int vos_t::num_anon_streams

## ◆ num_buffers

int vos_t::num_buffers

## ◆ num_buffers_max

int vos_t::num_buffers_max

## ◆ num_flush_waiters

int vos_t::num_flush_waiters

## ◆ num_frames_burst

int vos_t::num_frames_burst

## ◆ num_frames_delivered

int vos_t::num_frames_delivered

## ◆ num_frames_discarded

int vos_t::num_frames_discarded

## ◆ num_frames_skipped

int vos_t::num_frames_skipped

## ◆ num_null_streams

int vos_t::num_null_streams

## ◆ num_streams

int vos_t::num_streams

## ◆ overlay_enabled

uint32_t vos_t::overlay_enabled

## ◆ overlay_source

video_overlay_manager_t* vos_t::overlay_source

## ◆ poll_limit

int vos_t::poll_limit

## ◆ poll_num

int vos_t::poll_num

## ◆ poll_time

int vos_t::poll_time

## ◆ ready_add

vo_frame_t** vos_t::ready_add

## ◆ ready_first

vo_frame_t* vos_t::ready_first

## ◆ ready_num

int vos_t::ready_num

## ◆ redraw_needed

uint32_t vos_t::redraw_needed

## ◆ request

vos_grab_video_frame_t* vos_t::request

## ◆

struct { ... } vos_t::rp

## ◆ speed

int vos_t::speed

## ◆ step

int vos_t::step

## ◆ streams

xine_stream_private_t** vos_t::streams

## ◆ streams_default

xine_stream_private_t * vos_t::streams_default[32]

## ◆ streams_lock

pthread_mutex_t vos_t::streams_lock

## ◆ streams_size

int vos_t::streams_size

## ◆

struct { ... } vos_t::trigger_drawing

## ◆ video_loop_running

uint32_t vos_t::video_loop_running

## ◆ video_opened

uint32_t vos_t::video_opened

## ◆ video_thread

pthread_t vos_t::video_thread

## ◆ vo

xine_video_port_t vos_t::vo

## ◆ wake

pthread_cond_t vos_t::wake

## ◆ wakeups_early

int vos_t::wakeups_early

## ◆ wakeups_total

int vos_t::wakeups_total

## ◆ warn_discarded_threshold

int vos_t::warn_discarded_threshold

## ◆ warn_skipped_threshold

int vos_t::warn_skipped_threshold

## ◆ warn_threshold_event_sent

uint32_t vos_t::warn_threshold_event_sent

## ◆ warn_threshold_exceeded

int vos_t::warn_threshold_exceeded

## ◆ xine

xine_private_t* vos_t::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/video_out.c